Name: libspf2
Version: 1.0.4
Release: alt1

Summary: Implementation of the SPF specification
License: LGPL
Group: System/Libraries
URL: http://www.libspf2.org/

Source0: http://libspf2.org/spf/libspf2-%version.tar.gz
Patch0: libspf2-link.patch
Patch1: libspf2-1.0.4-case-insensitive.patch

%def_enable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

BuildRequires: automake_1.7 autoconf_2.5
# Automatically added by buildreq on Thu Jan 20 2005
BuildRequires: gcc-c++ libstdc++-devel

%description
Libspf2 is an implementation of the SPF specification as found at
http://www.ietf.org/internet-drafts/draft-mengwong-spf-01.txt

%package tools
Summary: Tools distributed with libspf2
Group: Networking/Other
Requires: %name = %version-%release

%description tools
Tools distributed with libspf2; at the time of writing: spf_example,
spf_example_2mx, spfd, spfquery and spftest.

%package devel
Summary: Development files for libspf2 library
Group: Development/C
Requires: %name = %version-%release

%description devel
Development files for libspf2 library.

%package static
Summary: Static libspf2 library
Group: Development/C
Requires: %name-devel = %version-%release

%description static
Static libspf2 library.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
export WANT_AUTOCONF_2_5=1
rm -f configure; libtoolize --copy --force; aclocal-1.7; autoconf; automake-1.7 --add-missing

# The configure script checks for the existence of __ns_get16 and uses the
# system-supplied version if found, otherwise one from src/libreplace.
# However, this function is marked GLIBC_PRIVATE in recent versions of glibc
# and shouldn't be called even if the configure script finds it. So we make
# sure that the configure script always uses the version in src/libreplace.
# This prevents us getting an unresolvable dependency in the built RPM.
cat > config.cache << EOF
ac_cv_func___ns_get16=no
EOF

%configure --cache-file=config.cache
%make_build

%install
%__make install DESTDIR=$RPM_BUILD_ROOT
%__rm -f $RPM_BUILD_ROOT%_bindir/*_static

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README TODO LICENSES Changelog docs/API docs/draft-mengwong-spf-00.txt
%_libdir/lib*.so.*

%files tools
%_bindir/*

%files devel
%_libdir/lib*.so
#%_libdir/lib*.la
%_includedir/*

%if_enabled static
%files static
%_libdir/*.a
%endif

%changelog
* Tue Jan 18 2005 Victor Forsyuk <force@altlinux.ru> 1.0.4-alt1
- Initial build for Sysiphus.
- Fix for case-sensitivity bug and "config.cache trick" from Mandrake spec.
